<?php

class EntityAgreeNotificationBlockDefault extends EntityAgreePluginBase implements EntityAgreeNotificationBlockInterface {

  /**
   * {@inheritdoc}
   */
  public function getContent() {
    return check_markup($this->config['content']['value'], $this->config['content']['format']);
  }

  /**
   * {@inheritdoc}
   */
  public function configForm(array $element) {
    return [
      'content' => [
        '#type' => 'text_format',
        '#title' => t('Content'),
        '#default_value' => !empty($this->config['content']['value']) ? $this->config['content']['value'] : NULL,
        '#format' => !empty($this->config['content']['format']) ? $this->config['content']['format'] : NULL,
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function label() {
    return t('Notification block');
  }

}
